org.jboss.resteasy.util

## Class Encode

- java.lang.Object
- - org.jboss.resteasy.util.Encode

-     public class Encode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Encode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultivaluedMap<String,String>` | `decode(MultivaluedMap<String,String> map)` decode an encoded map
    `static String` | `decode(String string)`
    `static String` | `decodePath(String path)`
    `static MultivaluedMap<String,String>` | `encode(MultivaluedMap<String,String> map)`
    `static String` | `encodeFragment(String value)` Keep encoded values "%..." and template parameters intact.
    `static String` | `encodeFragmentAsIs(String nameOrValue)`
    `protected static String` | `encodeFromArray(String segment, String[] encodingMap, boolean encodePercent)`
    `static String` | `encodeMatrixParam(String value)` Keep encoded values "%..." and template parameters intact.
    `static String` | `encodeNonCodes(String string)` Encode '%' if it is not an encoding sequence
    `static String` | `encodePath(String value)` Keep encoded values "%...", matrix parameters, template parameters, and '/' characters intact.
    `static String` | `encodePathAsIs(String segment)` Encode via RFC 3986.
    `static String` | `encodePathSaveEncodings(String segment)` Keep any valid encodings from string i.e.
    `static String` | `encodePathSegment(String value)` Keep encoded values "%...", matrix parameters and template parameters intact.
    `static String` | `encodePathSegmentAsIs(String segment)` Encode via RFC 3986.
    `static String` | `encodePathSegmentSaveEncodings(String segment)` Keep any valid encodings from string i.e.
    `static String` | `encodeQueryParam(String value)` Keep encoded values "%..." and template parameters intact.
    `static String` | `encodeQueryParamAsIs(String nameOrValue)` Encodes everything of a query parameter name or value.
    `static String` | `encodeQueryParamSaveEncodings(String segment)` Keep any valid encodings from string i.e.
    `static String` | `encodeQueryString(String value)` Keep encoded values "%..." and template parameters intact.
    `static String` | `encodeValue(String segment, String[] encoding)` Keep encoded values "%..." and template parameters intact i.e.
    `static String` | `pathParamReplacement(String segment, List<String> params)`
    `static boolean` | `savePathParams(String segment, StringBuffer newSegment, List<String> params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Encode

          public Encode()

  - ### Method Detail

    - #### encodeQueryString

          public static String encodeQueryString(String value)

      Keep encoded values "%..." and template parameters intact.

    - #### encodePath

          public static String encodePath(String value)

      Keep encoded values "%...", matrix parameters, template parameters, and '/' characters intact.

    - #### encodePathSegment

          public static String encodePathSegment(String value)

      Keep encoded values "%...", matrix parameters and template parameters intact.

    - #### encodeFragment

          public static String encodeFragment(String value)

      Keep encoded values "%..." and template parameters intact.

    - #### encodeMatrixParam

          public static String encodeMatrixParam(String value)

      Keep encoded values "%..." and template parameters intact.

    - #### encodeQueryParam

          public static String encodeQueryParam(String value)

      Keep encoded values "%..." and template parameters intact.

    - #### decodePath

          public static String decodePath(String path)

    - #### encodeNonCodes

          public static String encodeNonCodes(String string)

      Encode '%' if it is not an encoding sequence
      Parameters:
        `string` -
      Returns:

    - #### savePathParams

          public static boolean savePathParams(String segment,
                               StringBuffer newSegment,
                               List<String> params)

    - #### encodeValue

          public static String encodeValue(String segment,
                           String[] encoding)

      Keep encoded values "%..." and template parameters intact i.e. "{x}"
      Parameters:
        `segment` -
        `encoding` -
      Returns:

    - #### encodePathAsIs

          public static String encodePathAsIs(String segment)

      Encode via RFC 3986. PCHAR is allowed allong with '/'

      unreserved = ALPHA / DIGIT / "-" / "." / "_" / "~" sub-delims = "!" / "$" / "&" / "'" / "(" / ")" / "*" / "+" / "," / ";" / "=" pchar = unreserved / pct-encoded / sub-delims / ":" / "@"

    - #### encodePathSaveEncodings

          public static String encodePathSaveEncodings(String segment)

      Keep any valid encodings from string i.e. keep "%2D" but don't keep "%p"
      Parameters:
        `segment` -
      Returns:

    - #### encodePathSegmentAsIs

          public static String encodePathSegmentAsIs(String segment)

      Encode via RFC 3986. PCHAR is allowed allong with '/'

      unreserved = ALPHA / DIGIT / "-" / "." / "_" / "~" sub-delims = "!" / "$" / "&" / "'" / "(" / ")" / "*" / "+" / "," / ";" / "=" pchar = unreserved / pct-encoded / sub-delims / ":" / "@"

    - #### encodePathSegmentSaveEncodings

          public static String encodePathSegmentSaveEncodings(String segment)

      Keep any valid encodings from string i.e. keep "%2D" but don't keep "%p"
      Parameters:
        `segment` -
      Returns:

    - #### encodeQueryParamAsIs

          public static String encodeQueryParamAsIs(String nameOrValue)

      Encodes everything of a query parameter name or value.
      Parameters:
        `nameOrValue` -
      Returns:

    - #### encodeQueryParamSaveEncodings

          public static String encodeQueryParamSaveEncodings(String segment)

      Keep any valid encodings from string i.e. keep "%2D" but don't keep "%p"
      Parameters:
        `segment` -
      Returns:

    - #### encodeFragmentAsIs

          public static String encodeFragmentAsIs(String nameOrValue)

    - #### encodeFromArray

          protected static String encodeFromArray(String segment,
                               String[] encodingMap,
                               boolean encodePercent)

    - #### pathParamReplacement

          public static String pathParamReplacement(String segment,
                                    List<String> params)

    - #### decode

          public static MultivaluedMap<String,String> decode(MultivaluedMap<String,String> map)

      decode an encoded map
      Parameters:
        `map` -
      Returns:

    - #### encode

          public static MultivaluedMap<String,String> encode(MultivaluedMap<String,String> map)

    - #### decode

          public static String decode(String string)

Copyright © 2014. All Rights Reserved.